summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Giovanne Castro2010-07-03 08:05:36 +0200
committer Erik Hanson2010-07-03 08:05:36 +0200
commit199aa5857990ca638f874a86d69a1977e5729d3d (patch)
tree302449dfc489b7d1eadef4941950a06ccd907057 /graphics
parente7142676893d0c59161f0997b4b5d077ef8ef43b (diff)
downloadslackbuilds-199aa5857990ca638f874a86d69a1977e5729d3d.tar.gz
graphics/GraphicsMagick: Added (Image Processing System)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.SlackBuild89
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.info10
-rw-r--r--graphics/GraphicsMagick/README5
-rw-r--r--graphics/GraphicsMagick/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
new file mode 100644
index 0000000000..3261b8610c
--- /dev/null
+++ b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for GraphicsMagick
+
+# Written by Giovanne Castro <giovannefc@terra.com.br>
+
+PRGNAM=GraphicsMagick
+VERSION=${VERSION:-1.3.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --program-prefix= \
+ --with-x \
+ --with-frozenpaths=no \
+ --without-modules \
+ --disable-openmp \
+ --enable-static=no \
+ --enable-shared \
+ --with-perl \
+ --build=$ARCH-slackware-linux
+
+make INSTALLDIRS=vendor
+make install INSTALLDIRS=vendor DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog NEWS.txt README.txt TODO.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/GraphicsMagick/GraphicsMagick.info b/graphics/GraphicsMagick/GraphicsMagick.info
new file mode 100644
index 0000000000..fe862530ea
--- /dev/null
+++ b/graphics/GraphicsMagick/GraphicsMagick.info
@@ -0,0 +1,10 @@
+PRGNAM="GraphicsMagick"
+VERSION="1.3.12"
+HOMEPAGE="http://www.graphicsmagick.org/"
+DOWNLOAD="http://downloads.sourceforge.net/graphicsmagick/GraphicsMagick-1.3.12.tar.bz2"
+MD5SUM="55182f371f82d5f9367bce04e59bbf25"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@terra.com.br"
+APPROVED="Erik Hanson"
diff --git a/graphics/GraphicsMagick/README b/graphics/GraphicsMagick/README
new file mode 100644
index 0000000000..63a67b881a
--- /dev/null
+++ b/graphics/GraphicsMagick/README
@@ -0,0 +1,5 @@
+GraphicsMagick is the swiss army knife of image processing.
+Provides a robust and efficient collection of tools and libraries
+which support reading, writing, and manipulating an image in over
+88 major formats including important formats like DPX, GIF, JPEG,
+JPEG-2000, PNG, PDF, PNM, and TIFF.
diff --git a/graphics/GraphicsMagick/slack-desc b/graphics/GraphicsMagick/slack-desc
new file mode 100644
index 0000000000..2a9555e010
--- /dev/null
+++ b/graphics/GraphicsMagick/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler-----------------------------------------------------|
+GraphicsMagick: GraphicsMagick (Image Processing System)
+GraphicsMagick:
+GraphicsMagick: GraphicsMagick is the swiss army knife of image processing.
+GraphicsMagick: Provides a robust and efficient collection of tools and libraries
+GraphicsMagick: which support reading, writing, and manipulating an image in over
+GraphicsMagick: 88 major formats including important formats like DPX, GIF, JPEG,
+GraphicsMagick: JPEG-2000, PNG, PDF, PNM, and TIFF.
+GraphicsMagick:
+GraphicsMagick: Home Page: http://www.graphicsmagick.org/
+GraphicsMagick:
+GraphicsMagick: